DeepFellow DOCS

List models

Lists the currently available models, and provides basic information about each one such as the owner and availability.

GET
/v1/models
Authorization[Bearer <token>]

In: header

Query Parameters

additional_data?[Additional Data]

Add a DeepFellow-specific props object to every model: visibility, model type, supported endpoints, context window, prefix, transport and tools. A response with additional_data=true is not OpenAI-compatible; the default false returns the plain OpenAI shape (id, object, created, owned_by).

Defaultfalse

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X GET "https://deepfellow-server-host/v1/models?additional_data=false" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "object": "list",
  "data": [
    {
      "id": "llama3.1",
      "object": "model",
      "created": 12312312,
      "owned_by": "Simplito"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.